Cyberduck Mountain Duck CLI

#7449 closed enhancement (fixed)

Support for Chocolatey

Reported by: dcuccia Owned by: yla
Priority: normal Milestone:
Component: website Version: 4.3.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 8

Description (last modified by dkocher)

Hi! Long term user, thanks very much for the great software. I had just one "feature" request:

Could you add installation support through Chocolatey (chocolatey.org)? I realized that Cyperduck is the only thing I install (besides Office and Visual Studio) that doesn't support it. Here's what my chocolatey_new_comp.bat file looks like (would love a cinst cyberduck):

cinst MicrosoftSecurityEssentials 
cinst git.install 
cinst 7zip.install 
cinst GoogleChrome 
cinst javaruntime 
cinst SublimeText3
cinst adobereader 
cinst paint.net 
cinst skype 
cinst dropbox 
cinst resharper 
cinst gitextensions 
cinst VirtualCloneDrive 
cinst CutePDF 
cinst tortoisehg 
cinst dotPeek 
cinst Quicktime 
cinst teamviewer -Version 7.0.12979.1 
cinst imgburn
cinst 1password
cinst dependencywalker 
cinst vcredist2005
cinst vcredist2008  
cinst vcredist2010 
cinst flashplayeractivex 
cinst CrashPlan
cinst windirstat 
cinst XmlNotepad 
cinst SkyDrive 
cinst googledrive 
cinst VisualHG 
cinst resharper

Attachments (1)

Cyberduck.nuspec (2.9 KB) - added by dkocher on Oct 9, 2013 at 8:50:02 AM.

Download all attachments as: .zip

Change History (9)

comment:1 Changed on Sep 15, 2013 at 8:47:14 AM by dkocher

See also #6059.

comment:2 Changed on Sep 15, 2013 at 8:48:05 AM by dkocher

  • Description modified (diff)
  • Owner changed from dkocher to yla

Changed on Oct 9, 2013 at 8:50:02 AM by dkocher

comment:5 Changed on Oct 9, 2013 at 8:51:01 AM by dkocher

nuget pack Cyberduck.csproj -Properties "Configuration=Release;Platform=x86"

comment:6 Changed on Dec 29, 2013 at 11:23:17 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

comment:7 Changed on Jan 5, 2014 at 8:38:46 PM by dcuccia

Awesome! Thanks dtjm!!

comment:8 Changed on Aug 19, 2014 at 4:02:17 AM by dtgm

You are welcome. 4.5.1 has been posted! I have also implemented auto-updates so you no longer have to wait 8+ months for new releases... :^/
The nuspec files are @ https://github.com/dtgm/chocolatey-packages/tree/master/automatic

Note: See TracTickets for help on using tickets.
swiss made software